%define install_loc    %{_datadir}/eclipse/dropins/slice2java
%define date 20091005

Summary:        A plugin that integrates Eclipse with Ice object middleware
Name:           eclipse-slice2java
Version:        3.3.1.%{date}
Release:        1%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.zeroc.com/eclipse.html
Source0:        http://www.zeroc.com/download/eclipse/Slice2JavaPlugin-%{version}.tar.gz
# Adapted from the instructions at http://www.zeroc.com/eclipse.html
Source1:        eclipse-slice2java-README

BuildRequires: eclipse-pde >= 1:3.4.0

Requires: eclipse-platform >= 3.4.0
Requires: ice-java >= 3.3.1

# No Ice on this arch, so the plugin doesn't make sense
ExcludeArch:   ppc64

# Can this coexist with the ExcludeArch above?
BuildArch:     noarch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The slice2java plugin manages the translation of Slice to Java.
The plugin computes dependencies between Slice files and automatically
recompiles Slice files when necessary. The plugin also manages
the generated code to eliminate obsolete files.

%prep
%setup -q -n Slice2JavaPlugin-%{version}
cp %{SOURCE1} ./README

%build
%{_libdir}/eclipse/buildscripts/pdebuild

%install
%{__rm} -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}
%{__unzip} -q -d $RPM_BUILD_ROOT%{install_loc} \
     build/rpmBuild/com.zeroc.Slice2Java.zip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{install_loc}

%changelog
* Wed Nov 25 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1.20091005-1
- Update to newer version
- Include changelog in documentation

* Wed Nov 25 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1.20090330-2
- Remove GCJ bits
- Remove unnecessary BuildRequirement and arguments to pdebuild
- Fix typo in README file
- Add date to version string
- Clean up use of macros

* Wed Jul  8 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-1
- Initial package
